Skip to main content

createDastFinding

Create a DAST Finding

createDastFinding(
input: CreateDastFindingInput!
): CreateDastFindingPayload

Arguments​

createDastFinding.input ● CreateDastFindingInput! non-null input​

Parameters for CreateDastFinding

Type​

CreateDastFindingPayload object​

Autogenerated return type of CreateDastFinding.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateDastFinding($input: CreateDastFindingInput!) {\n createDastFinding(input: $input) { clientMutationId issue { id title status } }\n}","variables":{"input":{"assetId":1,"title":"example","description":"example","method":"GET","scheme":"HTTP","url":"example","port":1}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute